### Hierarchy

- WebGLRenderingContextBase
  - WebGLRenderingContext

## Index

### Properties

- ACTIVE_ATTRIBUTES
- ACTIVE_TEXTURE
- ACTIVE_UNIFORMS
- ALIASED_LINE_WIDTH_RANGE
- ALIASED_POINT_SIZE_RANGE
- ALPHA
- ALPHA_BITS
- ALWAYS
- ARRAY_BUFFER
- ARRAY_BUFFER_BINDING
- ATTACHED_SHADERS
- BACK
- BLEND
- BLEND_COLOR
- BLEND_DST_ALPHA
- BLEND_DST_RGB
- BLEND_EQUATION
- BLEND_EQUATION_ALPHA
- BLEND_EQUATION_RGB
- BLEND_SRC_ALPHA
- BLEND_SRC_RGB
- BLUE_BITS
- BOOL
- BOOL_VEC2
- BOOL_VEC3
- BOOL_VEC4
- BROWSER_DEFAULT_WEBGL
- BUFFER_SIZE
- BUFFER_USAGE
- BYTE
- CCW
- CLAMP_TO_EDGE
- COLOR_ATTACHMENT0
- COLOR_BUFFER_BIT
- COLOR_CLEAR_VALUE
- COLOR_WRITEMASK
- COMPILE_STATUS
- COMPRESSED_TEXTURE_FORMATS
- CONSTANT_ALPHA
- CONSTANT_COLOR
- CONTEXT_LOST_WEBGL
- CULL_FACE
- CULL_FACE_MODE
- CURRENT_PROGRAM
- CURRENT_VERTEX_ATTRIB
- CW
- DECR
- DECR_WRAP
- DELETE_STATUS
- DEPTH_ATTACHMENT
- DEPTH_BITS
- DEPTH_BUFFER_BIT
- DEPTH_CLEAR_VALUE
- DEPTH_COMPONENT
- DEPTH_COMPONENT16
- DEPTH_FUNC
- DEPTH_RANGE
- DEPTH_STENCIL
- DEPTH_STENCIL_ATTACHMENT
- DEPTH_TEST
- DEPTH_WRITEMASK
- DITHER
- DONT_CARE
- DST_ALPHA
- DST_COLOR
- DYNAMIC_DRAW
- ELEMENT_ARRAY_BUFFER
- ELEMENT_ARRAY_BUFFER_BINDING
- EQUAL
- FASTEST
- FLOAT
- FLOAT_MAT2
- FLOAT_MAT3
- FLOAT_MAT4
- FLOAT_VEC2
- FLOAT_VEC3
- FLOAT_VEC4
- FRAGMENT_SHADER
- FRAMEBUFFER
- FRAMEBUFFER_ATTACHMENT_OBJECT_NAME
- FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE
- FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE
- FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL
- FRAMEBUFFER_BINDING
- FRAMEBUFFER_COMPLETE
- FRAMEBUFFER_INCOMPLETE_ATTACHMENT
- FRAMEBUFFER_INCOMPLETE_DIMENSIONS
- FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT
- FRAMEBUFFER_UNSUPPORTED
- FRONT
- FRONT_AND_BACK
- FRONT_FACE
- FUNC_ADD
- FUNC_REVERSE_SUBTRACT
- FUNC_SUBTRACT
- GENERATE_MIPMAP_HINT
- GEQUAL
- GREATER
- GREEN_BITS
- HIGH_FLOAT
- HIGH_INT
- IMPLEMENTATION_COLOR_READ_FORMAT
- IMPLEMENTATION_COLOR_READ_TYPE
- INCR
- INCR_WRAP
- INT
- INT_VEC2
- INT_VEC3
- INT_VEC4
- INVALID_ENUM
- INVALID_FRAMEBUFFER_OPERATION
- INVALID_OPERATION
- INVALID_VALUE
- INVERT
- KEEP
- LEQUAL
- LESS
- LINEAR
- LINEAR_MIPMAP_LINEAR
- LINEAR_MIPMAP_NEAREST
- LINES
- LINE_LOOP
- LINE_STRIP
- LINE_WIDTH
- LINK_STATUS
- LOW_FLOAT
- LOW_INT
- LUMINANCE
- LUMINANCE_ALPHA
- MAX_COMBINED_TEXTURE_IMAGE_UNITS
- MAX_CUBE_MAP_TEXTURE_SIZE
- MAX_FRAGMENT_UNIFORM_VECTORS
- MAX_RENDERBUFFER_SIZE
- MAX_TEXTURE_IMAGE_UNITS
- MAX_TEXTURE_SIZE
- MAX_VARYING_VECTORS
- MAX_VERTEX_ATTRIBS
- MAX_VERTEX_TEXTURE_IMAGE_UNITS
- MAX_VERTEX_UNIFORM_VECTORS
- MAX_VIEWPORT_DIMS
- MEDIUM_FLOAT
- MEDIUM_INT
- MIRRORED_REPEAT
- NEAREST
- NEAREST_MIPMAP_LINEAR
- NEAREST_MIPMAP_NEAREST
- NEVER
- NICEST
- NONE
- NOTEQUAL
- NO_ERROR
- ONE
- ONE_MINUS_CONSTANT_ALPHA
- ONE_MINUS_CONSTANT_COLOR
- ONE_MINUS_DST_ALPHA
- ONE_MINUS_DST_COLOR
- ONE_MINUS_SRC_ALPHA
- ONE_MINUS_SRC_COLOR
- OUT_OF_MEMORY
- PACK_ALIGNMENT
- POINTS
- POLYGON_OFFSET_FACTOR
- POLYGON_OFFSET_FILL
- POLYGON_OFFSET_UNITS
- RED_BITS
- RENDERBUFFER
- RENDERBUFFER_ALPHA_SIZE
- RENDERBUFFER_BINDING
- RENDERBUFFER_BLUE_SIZE
- RENDERBUFFER_DEPTH_SIZE
- RENDERBUFFER_GREEN_SIZE
- RENDERBUFFER_HEIGHT
- RENDERBUFFER_INTERNAL_FORMAT
- RENDERBUFFER_RED_SIZE
- RENDERBUFFER_STENCIL_SIZE
- RENDERBUFFER_WIDTH
- RENDERER
- REPEAT
- REPLACE
- RGB
- RGB565
- RGB5_A1
- RGBA
- RGBA4
- SAMPLER_2D
- SAMPLER_CUBE
- SAMPLES
- SAMPLE_ALPHA_TO_COVERAGE
- SAMPLE_BUFFERS
- SAMPLE_COVERAGE
- SAMPLE_COVERAGE_INVERT
- SAMPLE_COVERAGE_VALUE
- SCISSOR_BOX
- SCISSOR_TEST
- SHADER_TYPE
- SHADING_LANGUAGE_VERSION
- SHORT
- SRC_ALPHA
- SRC_ALPHA_SATURATE
- SRC_COLOR
- STATIC_DRAW
- STENCIL_ATTACHMENT
- STENCIL_BACK_FAIL
- STENCIL_BACK_FUNC
- STENCIL_BACK_PASS_DEPTH_FAIL
- STENCIL_BACK_PASS_DEPTH_PASS
- STENCIL_BACK_REF
- STENCIL_BACK_VALUE_MASK
- STENCIL_BACK_WRITEMASK
- STENCIL_BITS
- STENCIL_BUFFER_BIT
- STENCIL_CLEAR_VALUE
- STENCIL_FAIL
- STENCIL_FUNC
- STENCIL_INDEX8
- STENCIL_PASS_DEPTH_FAIL
- STENCIL_PASS_DEPTH_PASS
- STENCIL_REF
- STENCIL_TEST
- STENCIL_VALUE_MASK
- STENCIL_WRITEMASK
- STREAM_DRAW
- SUBPIXEL_BITS
- TEXTURE
- TEXTURE0
- TEXTURE1
- TEXTURE10
- TEXTURE11
- TEXTURE12
- TEXTURE13
- TEXTURE14
- TEXTURE15
- TEXTURE16
- TEXTURE17
- TEXTURE18
- TEXTURE19
- TEXTURE2
- TEXTURE20
- TEXTURE21
- TEXTURE22
- TEXTURE23
- TEXTURE24
- TEXTURE25
- TEXTURE26
- TEXTURE27
- TEXTURE28
- TEXTURE29
- TEXTURE3
- TEXTURE30
- TEXTURE31
- TEXTURE4
- TEXTURE5
- TEXTURE6
- TEXTURE7
- TEXTURE8
- TEXTURE9
- TEXTURE_2D
- TEXTURE_BINDING_2D
- TEXTURE_BINDING_CUBE_MAP
- TEXTURE_CUBE_MAP
- TEXTURE_CUBE_MAP_NEGATIVE_X
- TEXTURE_CUBE_MAP_NEGATIVE_Y
- TEXTURE_CUBE_MAP_NEGATIVE_Z
- TEXTURE_CUBE_MAP_POSITIVE_X
- TEXTURE_CUBE_MAP_POSITIVE_Y
- TEXTURE_CUBE_MAP_POSITIVE_Z
- TEXTURE_MAG_FILTER
- TEXTURE_MIN_FILTER
- TEXTURE_WRAP_S
- TEXTURE_WRAP_T
- TRIANGLES
- TRIANGLE_FAN
- TRIANGLE_STRIP
- UNPACK_ALIGNMENT
- UNPACK_COLORSPACE_CONVERSION_WEBGL
- UNPACK_FLIP_Y_WEBGL
- UNPACK_PREMULTIPLY_ALPHA_WEBGL
- UNSIGNED_BYTE
- UNSIGNED_INT
- UNSIGNED_SHORT
- UNSIGNED_SHORT_4_4_4_4
- UNSIGNED_SHORT_5_5_5_1
- UNSIGNED_SHORT_5_6_5
- VALIDATE_STATUS
- VENDOR
- VERSION
- VERTEX_ATTRIB_ARRAY_BUFFER_BINDING
- VERTEX_ATTRIB_ARRAY_ENABLED
- VERTEX_ATTRIB_ARRAY_NORMALIZED
- VERTEX_ATTRIB_ARRAY_POINTER
- VERTEX_ATTRIB_ARRAY_SIZE
- VERTEX_ATTRIB_ARRAY_STRIDE
- VERTEX_ATTRIB_ARRAY_TYPE
- VERTEX_SHADER
- VIEWPORT
- ZERO
- canvas
- drawingBufferHeight
- drawingBufferWidth

### Methods

- activeTexture
- attachShader
- bindAttribLocation
- bindBuffer
- bindFramebuffer
- bindRenderbuffer
- bindTexture
- blendColor
- blendEquation
- blendEquationSeparate
- blendFunc
- blendFuncSeparate
- bufferData
- bufferSubData
- checkFramebufferStatus
- clear
- clearColor
- clearDepth
- clearStencil
- colorMask
- compileShader
- compressedTexImage2D
- compressedTexSubImage2D
- copyTexImage2D
- copyTexSubImage2D
- createBuffer
- createFramebuffer
- createProgram
- createRenderbuffer
- createShader
- createTexture
- cullFace
- deleteBuffer
- deleteFramebuffer
- deleteProgram
- deleteRenderbuffer
- deleteShader
- deleteTexture
- depthFunc
- depthMask
- depthRange
- detachShader
- disable
- disableVertexAttribArray
- drawArrays
- drawElements
- enable
- enableVertexAttribArray
- finish
- flush
- framebufferRenderbuffer
- framebufferTexture2D
- frontFace
- generateMipmap
- getActiveAttrib
- getActiveUniform
- getAttachedShaders
- getAttribLocation
- getBufferParameter
- getContextAttributes
- getError
- getExtension
- getFramebufferAttachmentParameter
- getParameter
- getProgramInfoLog
- getProgramParameter
- getRenderbufferParameter
- getShaderInfoLog
- getShaderParameter
- getShaderPrecisionFormat
- getShaderSource
- getSupportedExtensions
- getTexParameter
- getUniform
- getUniformLocation
- getVertexAttrib
- getVertexAttribOffset
- hint
- isBuffer
- isContextLost
- isEnabled
- isFramebuffer
- isProgram
- isRenderbuffer
- isShader
- isTexture
- lineWidth
- linkProgram
- pixelStorei
- polygonOffset
- readPixels
- renderbufferStorage
- sampleCoverage
- scissor
- shaderSource
- stencilFunc
- stencilFuncSeparate
- stencilMask
- stencilMaskSeparate
- stencilOp
- stencilOpSeparate
- texImage2D
- texParameterf
- texParameteri
- texSubImage2D
- uniform1f
- uniform1fv
- uniform1i
- uniform1iv
- uniform2f
- uniform2fv
- uniform2i
- uniform2iv
- uniform3f
- uniform3fv
- uniform3i
- uniform3iv
- uniform4f
- uniform4fv
- uniform4i
- uniform4iv
- uniformMatrix2fv
- uniformMatrix3fv
- uniformMatrix4fv
- useProgram
- validateProgram
- vertexAttrib1f
- vertexAttrib1fv
- vertexAttrib2f
- vertexAttrib2fv
- vertexAttrib3f
- vertexAttrib3fv
- vertexAttrib4f
- vertexAttrib4fv
- vertexAttribPointer
- viewport

## Properties

### ACTIVE_ATTRIBUTES

ACTIVE_ATTRIBUTES: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16009

### ACTIVE_TEXTURE

ACTIVE_TEXTURE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16010

### ACTIVE_UNIFORMS

ACTIVE_UNIFORMS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16011

### ALIASED_LINE_WIDTH_RANGE

ALIASED_LINE_WIDTH_RANGE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16012

### ALIASED_POINT_SIZE_RANGE

ALIASED_POINT_SIZE_RANGE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16013

### ALPHA

ALPHA: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16014

### ALPHA_BITS

ALPHA_BITS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16015

### ALWAYS

ALWAYS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16016

### ARRAY_BUFFER

ARRAY_BUFFER: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16017

### ARRAY_BUFFER_BINDING

ARRAY_BUFFER_BINDING: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16018

### ATTACHED_SHADERS

ATTACHED_SHADERS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16019

### BACK

BACK: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16020

### BLEND

BLEND: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16021

### BLEND_COLOR

BLEND_COLOR: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16022

### BLEND_DST_ALPHA

BLEND_DST_ALPHA: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16023

### BLEND_DST_RGB

BLEND_DST_RGB: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16024

### BLEND_EQUATION

BLEND_EQUATION: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16025

### BLEND_EQUATION_ALPHA

BLEND_EQUATION_ALPHA: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16026

### BLEND_EQUATION_RGB

BLEND_EQUATION_RGB: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16027

### BLEND_SRC_ALPHA

BLEND_SRC_ALPHA: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16028

### BLEND_SRC_RGB

BLEND_SRC_RGB: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16029

### BLUE_BITS

BLUE_BITS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16030

### BOOL

BOOL: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16031

### BOOL_VEC2

BOOL_VEC2: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16032

### BOOL_VEC3

BOOL_VEC3: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16033

### BOOL_VEC4

BOOL_VEC4: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16034

### BROWSER_DEFAULT_WEBGL

BROWSER_DEFAULT_WEBGL: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16035

### BUFFER_SIZE

BUFFER_SIZE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16036

### BUFFER_USAGE

BUFFER_USAGE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16037

### BYTE

BYTE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16038

### CCW

CCW: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16039

### CLAMP_TO_EDGE

CLAMP_TO_EDGE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16040

### COLOR_ATTACHMENT0

COLOR_ATTACHMENT0: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16041

### COLOR_BUFFER_BIT

COLOR_BUFFER_BIT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16042

### COLOR_CLEAR_VALUE

COLOR_CLEAR_VALUE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16043

### COLOR_WRITEMASK

COLOR_WRITEMASK: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16044

### COMPILE_STATUS

COMPILE_STATUS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16045

### COMPRESSED_TEXTURE_FORMATS

COMPRESSED_TEXTURE_FORMATS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16046

### CONSTANT_ALPHA

CONSTANT_ALPHA: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16047

### CONSTANT_COLOR

CONSTANT_COLOR: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16048

### CONTEXT_LOST_WEBGL

CONTEXT_LOST_WEBGL: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16049

### CULL_FACE

CULL_FACE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16050

### CULL_FACE_MODE

CULL_FACE_MODE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16051

### CURRENT_PROGRAM

CURRENT_PROGRAM: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16052

### CURRENT_VERTEX_ATTRIB

CURRENT_VERTEX_ATTRIB: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16053

### CW

CW: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16054

### DECR

DECR: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16055

### DECR_WRAP

DECR_WRAP: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16056

### DELETE_STATUS

DELETE_STATUS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16057

### DEPTH_ATTACHMENT

DEPTH_ATTACHMENT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16058

### DEPTH_BITS

DEPTH_BITS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16059

### DEPTH_BUFFER_BIT

DEPTH_BUFFER_BIT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16060

### DEPTH_CLEAR_VALUE

DEPTH_CLEAR_VALUE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16061

### DEPTH_COMPONENT

DEPTH_COMPONENT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16062

### DEPTH_COMPONENT16

DEPTH_COMPONENT16: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16063

### DEPTH_FUNC

DEPTH_FUNC: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16064

### DEPTH_RANGE

DEPTH_RANGE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16065

### DEPTH_STENCIL

DEPTH_STENCIL: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16066

### DEPTH_STENCIL_ATTACHMENT

DEPTH_STENCIL_ATTACHMENT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16067

### DEPTH_TEST

DEPTH_TEST: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16068

### DEPTH_WRITEMASK

DEPTH_WRITEMASK: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16069

### DITHER

DITHER: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16070

### DONT_CARE

DONT_CARE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16071

### DST_ALPHA

DST_ALPHA: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16072

### DST_COLOR

DST_COLOR: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16073

### DYNAMIC_DRAW

DYNAMIC_DRAW: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16074

### ELEMENT_ARRAY_BUFFER

ELEMENT_ARRAY_BUFFER: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16075

### ELEMENT_ARRAY_BUFFER_BINDING

ELEMENT_ARRAY_BUFFER_BINDING: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16076

### EQUAL

EQUAL: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16077

### FASTEST

FASTEST: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16078

### FLOAT

FLOAT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16079

### FLOAT_MAT2

FLOAT_MAT2: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16080

### FLOAT_MAT3

FLOAT_MAT3: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16081

### FLOAT_MAT4

FLOAT_MAT4: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16082

### FLOAT_VEC2

FLOAT_VEC2: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16083

### FLOAT_VEC3

FLOAT_VEC3: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16084

### FLOAT_VEC4

FLOAT_VEC4: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16085

### FRAGMENT_SHADER

FRAGMENT_SHADER: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16086

### FRAMEBUFFER

FRAMEBUFFER: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16087

### FRAMEBUFFER_ATTACHMENT_OBJECT_NAME

FRAMEBUFFER_ATTACHMENT_OBJECT_NAME: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16088

### FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE

FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16089

### FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE

FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16090

### FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL

FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16091

### FRAMEBUFFER_BINDING

FRAMEBUFFER_BINDING: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16092

### FRAMEBUFFER_COMPLETE

FRAMEBUFFER_COMPLETE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16093

### FRAMEBUFFER_INCOMPLETE_ATTACHMENT

FRAMEBUFFER_INCOMPLETE_ATTACHMENT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16094

### FRAMEBUFFER_INCOMPLETE_DIMENSIONS

FRAMEBUFFER_INCOMPLETE_DIMENSIONS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16095

### FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT

FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16096

### FRAMEBUFFER_UNSUPPORTED

FRAMEBUFFER_UNSUPPORTED: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16097

### FRONT

FRONT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16098

### FRONT_AND_BACK

FRONT_AND_BACK: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16099

### FRONT_FACE

FRONT_FACE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16100

### FUNC_ADD

FUNC_ADD: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16101

### FUNC_REVERSE_SUBTRACT

FUNC_REVERSE_SUBTRACT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16102

### FUNC_SUBTRACT

FUNC_SUBTRACT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16103

### GENERATE_MIPMAP_HINT

GENERATE_MIPMAP_HINT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16104

### GEQUAL

GEQUAL: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16105

### GREATER

GREATER: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16106

### GREEN_BITS

GREEN_BITS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16107

### HIGH_FLOAT

HIGH_FLOAT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16108

### HIGH_INT

HIGH_INT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16109

### IMPLEMENTATION_COLOR_READ_FORMAT

IMPLEMENTATION_COLOR_READ_FORMAT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16110

### IMPLEMENTATION_COLOR_READ_TYPE

IMPLEMENTATION_COLOR_READ_TYPE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16111

### INCR

INCR: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16112

### INCR_WRAP

INCR_WRAP: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16113

### INT

INT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16114

### INT_VEC2

INT_VEC2: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16115

### INT_VEC3

INT_VEC3: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16116

### INT_VEC4

INT_VEC4: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16117

### INVALID_ENUM

INVALID_ENUM: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16118

### INVALID_FRAMEBUFFER_OPERATION

INVALID_FRAMEBUFFER_OPERATION: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16119

### INVALID_OPERATION

INVALID_OPERATION: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16120

### INVALID_VALUE

INVALID_VALUE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16121

### INVERT

INVERT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16122

### KEEP

KEEP: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16123

### LEQUAL

LEQUAL: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16124

### LESS

LESS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16125

### LINEAR

LINEAR: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16126

### LINEAR_MIPMAP_LINEAR

LINEAR_MIPMAP_LINEAR: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16127

### LINEAR_MIPMAP_NEAREST

LINEAR_MIPMAP_NEAREST: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16128

### LINES

LINES: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16129

### LINE_LOOP

LINE_LOOP: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16130

### LINE_STRIP

LINE_STRIP: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16131

### LINE_WIDTH

LINE_WIDTH: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16132

### LINK_STATUS

LINK_STATUS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16133

### LOW_FLOAT

LOW_FLOAT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16134

### LOW_INT

LOW_INT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16135

### LUMINANCE

LUMINANCE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16136

### LUMINANCE_ALPHA

LUMINANCE_ALPHA: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16137

### MAX_COMBINED_TEXTURE_IMAGE_UNITS

MAX_COMBINED_TEXTURE_IMAGE_UNITS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16138

### MAX_CUBE_MAP_TEXTURE_SIZE

MAX_CUBE_MAP_TEXTURE_SIZE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16139

### MAX_FRAGMENT_UNIFORM_VECTORS

MAX_FRAGMENT_UNIFORM_VECTORS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16140

### MAX_RENDERBUFFER_SIZE

MAX_RENDERBUFFER_SIZE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16141

### MAX_TEXTURE_IMAGE_UNITS

MAX_TEXTURE_IMAGE_UNITS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16142

### MAX_TEXTURE_SIZE

MAX_TEXTURE_SIZE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16143

### MAX_VARYING_VECTORS

MAX_VARYING_VECTORS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16144

### MAX_VERTEX_ATTRIBS

MAX_VERTEX_ATTRIBS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16145

### MAX_VERTEX_TEXTURE_IMAGE_UNITS

MAX_VERTEX_TEXTURE_IMAGE_UNITS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16146

### MAX_VERTEX_UNIFORM_VECTORS

MAX_VERTEX_UNIFORM_VECTORS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16147

### MAX_VIEWPORT_DIMS

MAX_VIEWPORT_DIMS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16148

### MEDIUM_FLOAT

MEDIUM_FLOAT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16149

### MEDIUM_INT

MEDIUM_INT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16150

### MIRRORED_REPEAT

MIRRORED_REPEAT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16151

### NEAREST

NEAREST: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16152

### NEAREST_MIPMAP_LINEAR

NEAREST_MIPMAP_LINEAR: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16153

### NEAREST_MIPMAP_NEAREST

NEAREST_MIPMAP_NEAREST: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16154

### NEVER

NEVER: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16155

### NICEST

NICEST: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16156

### NONE

NONE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16157

### NOTEQUAL

NOTEQUAL: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16158

### NO_ERROR

NO_ERROR: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16159

### ONE

ONE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16160

### ONE_MINUS_CONSTANT_ALPHA

ONE_MINUS_CONSTANT_ALPHA: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16161

### ONE_MINUS_CONSTANT_COLOR

ONE_MINUS_CONSTANT_COLOR: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16162

### ONE_MINUS_DST_ALPHA

ONE_MINUS_DST_ALPHA: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16163

### ONE_MINUS_DST_COLOR

ONE_MINUS_DST_COLOR: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16164

### ONE_MINUS_SRC_ALPHA

ONE_MINUS_SRC_ALPHA: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16165

### ONE_MINUS_SRC_COLOR

ONE_MINUS_SRC_COLOR: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16166

### OUT_OF_MEMORY

OUT_OF_MEMORY: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16167

### PACK_ALIGNMENT

PACK_ALIGNMENT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16168

### POINTS

POINTS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16169

### POLYGON_OFFSET_FACTOR

POLYGON_OFFSET_FACTOR: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16170

### POLYGON_OFFSET_FILL

POLYGON_OFFSET_FILL: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16171

### POLYGON_OFFSET_UNITS

POLYGON_OFFSET_UNITS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16172

### RED_BITS

RED_BITS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16173

### RENDERBUFFER

RENDERBUFFER: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16174

### RENDERBUFFER_ALPHA_SIZE

RENDERBUFFER_ALPHA_SIZE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16175

### RENDERBUFFER_BINDING

RENDERBUFFER_BINDING: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16176

### RENDERBUFFER_BLUE_SIZE

RENDERBUFFER_BLUE_SIZE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16177

### RENDERBUFFER_DEPTH_SIZE

RENDERBUFFER_DEPTH_SIZE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16178

### RENDERBUFFER_GREEN_SIZE

RENDERBUFFER_GREEN_SIZE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16179

### RENDERBUFFER_HEIGHT

RENDERBUFFER_HEIGHT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16180

### RENDERBUFFER_INTERNAL_FORMAT

RENDERBUFFER_INTERNAL_FORMAT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16181

### RENDERBUFFER_RED_SIZE

RENDERBUFFER_RED_SIZE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16182

### RENDERBUFFER_STENCIL_SIZE

RENDERBUFFER_STENCIL_SIZE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16183

### RENDERBUFFER_WIDTH

RENDERBUFFER_WIDTH: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16184

### RENDERER

RENDERER: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16185

### REPEAT

REPEAT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16186

### REPLACE

REPLACE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16187

### RGB

RGB: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16188

### RGB565

RGB565: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16189

### RGB5_A1

RGB5_A1: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16190

### RGBA

RGBA: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16191

### RGBA4

RGBA4: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16192

### SAMPLER_2D

SAMPLER_2D: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16193

### SAMPLER_CUBE

SAMPLER_CUBE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16194

### SAMPLES

SAMPLES: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16195

### SAMPLE_ALPHA_TO_COVERAGE

SAMPLE_ALPHA_TO_COVERAGE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16196

### SAMPLE_BUFFERS

SAMPLE_BUFFERS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16197

### SAMPLE_COVERAGE

SAMPLE_COVERAGE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16198

### SAMPLE_COVERAGE_INVERT

SAMPLE_COVERAGE_INVERT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16199

### SAMPLE_COVERAGE_VALUE

SAMPLE_COVERAGE_VALUE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16200

### SCISSOR_BOX

SCISSOR_BOX: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16201

### SCISSOR_TEST

SCISSOR_TEST: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16202

### SHADER_TYPE

SHADER_TYPE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16203

### SHADING_LANGUAGE_VERSION

SHADING_LANGUAGE_VERSION: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16204

### SHORT

SHORT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16205

### SRC_ALPHA

SRC_ALPHA: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16206

### SRC_ALPHA_SATURATE

SRC_ALPHA_SATURATE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16207

### SRC_COLOR

SRC_COLOR: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16208

### STATIC_DRAW

STATIC_DRAW: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16209

### STENCIL_ATTACHMENT

STENCIL_ATTACHMENT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16210

### STENCIL_BACK_FAIL

STENCIL_BACK_FAIL: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16211

### STENCIL_BACK_FUNC

STENCIL_BACK_FUNC: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16212

### STENCIL_BACK_PASS_DEPTH_FAIL

STENCIL_BACK_PASS_DEPTH_FAIL: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16213

### STENCIL_BACK_PASS_DEPTH_PASS

STENCIL_BACK_PASS_DEPTH_PASS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16214

### STENCIL_BACK_REF

STENCIL_BACK_REF: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16215

### STENCIL_BACK_VALUE_MASK

STENCIL_BACK_VALUE_MASK: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16216

### STENCIL_BACK_WRITEMASK

STENCIL_BACK_WRITEMASK: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16217

### STENCIL_BITS

STENCIL_BITS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16218

### STENCIL_BUFFER_BIT

STENCIL_BUFFER_BIT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16219

### STENCIL_CLEAR_VALUE

STENCIL_CLEAR_VALUE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16220

### STENCIL_FAIL

STENCIL_FAIL: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16221

### STENCIL_FUNC

STENCIL_FUNC: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16222

### STENCIL_INDEX8

STENCIL_INDEX8: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16223

### STENCIL_PASS_DEPTH_FAIL

STENCIL_PASS_DEPTH_FAIL: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16224

### STENCIL_PASS_DEPTH_PASS

STENCIL_PASS_DEPTH_PASS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16225

### STENCIL_REF

STENCIL_REF: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16226

### STENCIL_TEST

STENCIL_TEST: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16227

### STENCIL_VALUE_MASK

STENCIL_VALUE_MASK: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16228

### STENCIL_WRITEMASK

STENCIL_WRITEMASK: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16229

### STREAM_DRAW

STREAM_DRAW: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16230

### SUBPIXEL_BITS

SUBPIXEL_BITS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16231

### TEXTURE

TEXTURE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16232

### TEXTURE0

TEXTURE0: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16233

### TEXTURE1

TEXTURE1: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16234

### TEXTURE10

TEXTURE10: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16235

### TEXTURE11

TEXTURE11: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16236

### TEXTURE12

TEXTURE12: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16237

### TEXTURE13

TEXTURE13: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16238

### TEXTURE14

TEXTURE14: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16239

### TEXTURE15

TEXTURE15: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16240

### TEXTURE16

TEXTURE16: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16241

### TEXTURE17

TEXTURE17: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16242

### TEXTURE18

TEXTURE18: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16243

### TEXTURE19

TEXTURE19: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16244

### TEXTURE2

TEXTURE2: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16245

### TEXTURE20

TEXTURE20: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16246

### TEXTURE21

TEXTURE21: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16247

### TEXTURE22

TEXTURE22: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16248

### TEXTURE23

TEXTURE23: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16249

### TEXTURE24

TEXTURE24: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16250

### TEXTURE25

TEXTURE25: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16251

### TEXTURE26

TEXTURE26: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16252

### TEXTURE27

TEXTURE27: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16253

### TEXTURE28

TEXTURE28: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16254

### TEXTURE29

TEXTURE29: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16255

### TEXTURE3

TEXTURE3: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16256

### TEXTURE30

TEXTURE30: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16257

### TEXTURE31

TEXTURE31: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16258

### TEXTURE4

TEXTURE4: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16259

### TEXTURE5

TEXTURE5: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16260

### TEXTURE6

TEXTURE6: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16261

### TEXTURE7

TEXTURE7: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16262

### TEXTURE8

TEXTURE8: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16263

### TEXTURE9

TEXTURE9: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16264

### TEXTURE_2D

TEXTURE_2D: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16265

### TEXTURE_BINDING_2D

TEXTURE_BINDING_2D: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16266

### TEXTURE_BINDING_CUBE_MAP

TEXTURE_BINDING_CUBE_MAP: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16267

### TEXTURE_CUBE_MAP

TEXTURE_CUBE_MAP: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16268

### TEXTURE_CUBE_MAP_NEGATIVE_X

TEXTURE_CUBE_MAP_NEGATIVE_X: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16269

### TEXTURE_CUBE_MAP_NEGATIVE_Y

TEXTURE_CUBE_MAP_NEGATIVE_Y: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16270

### TEXTURE_CUBE_MAP_NEGATIVE_Z

TEXTURE_CUBE_MAP_NEGATIVE_Z: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16271

### TEXTURE_CUBE_MAP_POSITIVE_X

TEXTURE_CUBE_MAP_POSITIVE_X: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16272

### TEXTURE_CUBE_MAP_POSITIVE_Y

TEXTURE_CUBE_MAP_POSITIVE_Y: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16273

### TEXTURE_CUBE_MAP_POSITIVE_Z

TEXTURE_CUBE_MAP_POSITIVE_Z: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16274

### TEXTURE_MAG_FILTER

TEXTURE_MAG_FILTER: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16275

### TEXTURE_MIN_FILTER

TEXTURE_MIN_FILTER: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16276

### TEXTURE_WRAP_S

TEXTURE_WRAP_S: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16277

### TEXTURE_WRAP_T

TEXTURE_WRAP_T: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16278

### TRIANGLES

TRIANGLES: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16279

### TRIANGLE_FAN

TRIANGLE_FAN: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16280

### TRIANGLE_STRIP

TRIANGLE_STRIP: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16281

### UNPACK_ALIGNMENT

UNPACK_ALIGNMENT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16282

### UNPACK_COLORSPACE_CONVERSION_WEBGL

UNPACK_COLORSPACE_CONVERSION_WEBGL: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16283

### UNPACK_FLIP_Y_WEBGL

UNPACK_FLIP_Y_WEBGL: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16284

### UNPACK_PREMULTIPLY_ALPHA_WEBGL

UNPACK_PREMULTIPLY_ALPHA_WEBGL: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16285

### UNSIGNED_BYTE

UNSIGNED_BYTE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16286

### UNSIGNED_INT

UNSIGNED_INT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16287

### UNSIGNED_SHORT

UNSIGNED_SHORT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16288

### UNSIGNED_SHORT_4_4_4_4

UNSIGNED_SHORT_4_4_4_4: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16289

### UNSIGNED_SHORT_5_5_5_1

UNSIGNED_SHORT_5_5_5_1: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16290

### UNSIGNED_SHORT_5_6_5

UNSIGNED_SHORT_5_6_5: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16291

### VALIDATE_STATUS

VALIDATE_STATUS: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16292

### VENDOR

VENDOR: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16293

### VERSION

VERSION: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16294

### VERTEX_ATTRIB_ARRAY_BUFFER_BINDING

VERTEX_ATTRIB_ARRAY_BUFFER_BINDING: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16295

### VERTEX_ATTRIB_ARRAY_ENABLED

VERTEX_ATTRIB_ARRAY_ENABLED: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16296

### VERTEX_ATTRIB_ARRAY_NORMALIZED

VERTEX_ATTRIB_ARRAY_NORMALIZED: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16297

### VERTEX_ATTRIB_ARRAY_POINTER

VERTEX_ATTRIB_ARRAY_POINTER: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16298

### VERTEX_ATTRIB_ARRAY_SIZE

VERTEX_ATTRIB_ARRAY_SIZE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16299

### VERTEX_ATTRIB_ARRAY_STRIDE

VERTEX_ATTRIB_ARRAY_STRIDE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16300

### VERTEX_ATTRIB_ARRAY_TYPE

VERTEX_ATTRIB_ARRAY_TYPE: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16301

### VERTEX_SHADER

VERTEX_SHADER: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16302

### VIEWPORT

VIEWPORT: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16303

### ZERO

ZERO: GLenum

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16304

### canvas

canvas: HTMLCanvasElement

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15845

### drawingBufferHeight

drawingBufferHeight: GLsizei

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15846

### drawingBufferWidth

drawingBufferWidth: GLsizei

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15847

## Methods

### activeTexture

- activeTexture(texture: GLenum): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15848

  #### Parameters

  - ##### texture: GLenum

  #### Returns void

### attachShader

- attachShader(program: WebGLProgram, shader: WebGLShader): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15849

  #### Parameters

  - ##### program: WebGLProgram

  - ##### shader: WebGLShader

  #### Returns void

### bindAttribLocation

- bindAttribLocation(program: WebGLProgram, index: GLuint, name: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15850

  #### Parameters

  - ##### program: WebGLProgram

  - ##### index: GLuint

  - ##### name: string

  #### Returns void

### bindBuffer

- bindBuffer(target: GLenum, buffer: WebGLBuffer | null): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15851

  #### Parameters

  - ##### target: GLenum

  - ##### buffer: WebGLBuffer | null

  #### Returns void

### bindFramebuffer

- bindFramebuffer(target: GLenum, framebuffer: WebGLFramebuffer | null): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15852

  #### Parameters

  - ##### target: GLenum

  - ##### framebuffer: WebGLFramebuffer | null

  #### Returns void

### bindRenderbuffer

- bindRenderbuffer(target: GLenum, renderbuffer: WebGLRenderbuffer | null): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15853

  #### Parameters

  - ##### target: GLenum

  - ##### renderbuffer: WebGLRenderbuffer | null

  #### Returns void

### bindTexture

- bindTexture(target: GLenum, texture: WebGLTexture | null): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15854

  #### Parameters

  - ##### target: GLenum

  - ##### texture: WebGLTexture | null

  #### Returns void

### blendColor

- blendColor(red: GLclampf, green: GLclampf, blue: GLclampf, alpha: GLclampf): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15855

  #### Parameters

  - ##### red: GLclampf

  - ##### green: GLclampf

  - ##### blue: GLclampf

  - ##### alpha: GLclampf

  #### Returns void

### blendEquation

- blendEquation(mode: GLenum): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15856

  #### Parameters

  - ##### mode: GLenum

  #### Returns void

### blendEquationSeparate

- blendEquationSeparate(modeRGB: GLenum, modeAlpha: GLenum): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15857

  #### Parameters

  - ##### modeRGB: GLenum

  - ##### modeAlpha: GLenum

  #### Returns void

### blendFunc

- blendFunc(sfactor: GLenum, dfactor: GLenum): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15858

  #### Parameters

  - ##### sfactor: GLenum

  - ##### dfactor: GLenum

  #### Returns void

### blendFuncSeparate

- blendFuncSeparate(srcRGB: GLenum, dstRGB: GLenum, srcAlpha: GLenum, dstAlpha: GLenum): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15859

  #### Parameters

  - ##### srcRGB: GLenum

  - ##### dstRGB: GLenum

  - ##### srcAlpha: GLenum

  - ##### dstAlpha: GLenum

  #### Returns void

### bufferData

- bufferData(target: GLenum, size: GLsizeiptr, usage: GLenum): void
- bufferData(target: GLenum, data: BufferSource | null, usage: GLenum): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15860

  #### Parameters

  - ##### target: GLenum

  - ##### size: GLsizeiptr

  - ##### usage: GLenum

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15861

  #### Parameters

  - ##### target: GLenum

  - ##### data: BufferSource | null

  - ##### usage: GLenum

  #### Returns void

### bufferSubData

- bufferSubData(target: GLenum, offset: GLintptr, data: BufferSource): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15862

  #### Parameters

  - ##### target: GLenum

  - ##### offset: GLintptr

  - ##### data: BufferSource

  #### Returns void

### checkFramebufferStatus

- checkFramebufferStatus(target: GLenum): GLenum

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15863

  #### Parameters

  - ##### target: GLenum

  #### Returns GLenum

### clear

- clear(mask: GLbitfield): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15864

  #### Parameters

  - ##### mask: GLbitfield

  #### Returns void

### clearColor

- clearColor(red: GLclampf, green: GLclampf, blue: GLclampf, alpha: GLclampf): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15865

  #### Parameters

  - ##### red: GLclampf

  - ##### green: GLclampf

  - ##### blue: GLclampf

  - ##### alpha: GLclampf

  #### Returns void

### clearDepth

- clearDepth(depth: GLclampf): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15866

  #### Parameters

  - ##### depth: GLclampf

  #### Returns void

### clearStencil

- clearStencil(s: GLint): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15867

  #### Parameters

  - ##### s: GLint

  #### Returns void

### colorMask

- colorMask(red: GLboolean, green: GLboolean, blue: GLboolean, alpha: GLboolean): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15868

  #### Parameters

  - ##### red: GLboolean

  - ##### green: GLboolean

  - ##### blue: GLboolean

  - ##### alpha: GLboolean

  #### Returns void

### compileShader

- compileShader(shader: WebGLShader): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15869

  #### Parameters

  - ##### shader: WebGLShader

  #### Returns void

### compressedTexImage2D

- compressedTexImage2D(target: GLenum, level: GLint, internalformat: GLenum, width: GLsizei, height: GLsizei, border: GLint, data: ArrayBufferView): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15870

  #### Parameters

  - ##### target: GLenum

  - ##### level: GLint

  - ##### internalformat: GLenum

  - ##### width: GLsizei

  - ##### height: GLsizei

  - ##### border: GLint

  - ##### data: ArrayBufferView

  #### Returns void

### compressedTexSubImage2D

- compressedTexSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, width: GLsizei, height: GLsizei, format: GLenum, data: ArrayBufferView): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15871

  #### Parameters

  - ##### target: GLenum

  - ##### level: GLint

  - ##### xoffset: GLint

  - ##### yoffset: GLint

  - ##### width: GLsizei

  - ##### height: GLsizei

  - ##### format: GLenum

  - ##### data: ArrayBufferView

  #### Returns void

### copyTexImage2D

- copyTexImage2D(target: GLenum, level: GLint, internalformat: GLenum, x: GLint, y: GLint, width: GLsizei, height: GLsizei, border: GLint): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15872

  #### Parameters

  - ##### target: GLenum

  - ##### level: GLint

  - ##### internalformat: GLenum

  - ##### x: GLint

  - ##### y: GLint

  - ##### width: GLsizei

  - ##### height: GLsizei

  - ##### border: GLint

  #### Returns void

### copyTexSubImage2D

- copyTexSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, x: GLint, y: GLint, width: GLsizei, height: GLsizei): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15873

  #### Parameters

  - ##### target: GLenum

  - ##### level: GLint

  - ##### xoffset: GLint

  - ##### yoffset: GLint

  - ##### x: GLint

  - ##### y: GLint

  - ##### width: GLsizei

  - ##### height: GLsizei

  #### Returns void

### createBuffer

- createBuffer(): WebGLBuffer | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15874

  #### Returns WebGLBuffer | null

### createFramebuffer

- createFramebuffer(): WebGLFramebuffer | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15875

  #### Returns WebGLFramebuffer | null

### createProgram

- createProgram(): WebGLProgram | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15876

  #### Returns WebGLProgram | null

### createRenderbuffer

- createRenderbuffer(): WebGLRenderbuffer | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15877

  #### Returns WebGLRenderbuffer | null

### createShader

- createShader(type: GLenum): WebGLShader | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15878

  #### Parameters

  - ##### type: GLenum

  #### Returns WebGLShader | null

### createTexture

- createTexture(): WebGLTexture | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15879

  #### Returns WebGLTexture | null

### cullFace

- cullFace(mode: GLenum): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15880

  #### Parameters

  - ##### mode: GLenum

  #### Returns void

### deleteBuffer

- deleteBuffer(buffer: WebGLBuffer | null): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15881

  #### Parameters

  - ##### buffer: WebGLBuffer | null

  #### Returns void

### deleteFramebuffer

- deleteFramebuffer(framebuffer: WebGLFramebuffer | null): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15882

  #### Parameters

  - ##### framebuffer: WebGLFramebuffer | null

  #### Returns void

### deleteProgram

- deleteProgram(program: WebGLProgram | null): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15883

  #### Parameters

  - ##### program: WebGLProgram | null

  #### Returns void

### deleteRenderbuffer

- deleteRenderbuffer(renderbuffer: WebGLRenderbuffer | null): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15884

  #### Parameters

  - ##### renderbuffer: WebGLRenderbuffer | null

  #### Returns void

### deleteShader

- deleteShader(shader: WebGLShader | null): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15885

  #### Parameters

  - ##### shader: WebGLShader | null

  #### Returns void

### deleteTexture

- deleteTexture(texture: WebGLTexture | null): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15886

  #### Parameters

  - ##### texture: WebGLTexture | null

  #### Returns void

### depthFunc

- depthFunc(func: GLenum): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15887

  #### Parameters

  - ##### func: GLenum

  #### Returns void

### depthMask

- depthMask(flag: GLboolean): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15888

  #### Parameters

  - ##### flag: GLboolean

  #### Returns void

### depthRange

- depthRange(zNear: GLclampf, zFar: GLclampf): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15889

  #### Parameters

  - ##### zNear: GLclampf

  - ##### zFar: GLclampf

  #### Returns void

### detachShader

- detachShader(program: WebGLProgram, shader: WebGLShader): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15890

  #### Parameters

  - ##### program: WebGLProgram

  - ##### shader: WebGLShader

  #### Returns void

### disable

- disable(cap: GLenum): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15891

  #### Parameters

  - ##### cap: GLenum

  #### Returns void

### disableVertexAttribArray

- disableVertexAttribArray(index: GLuint): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15892

  #### Parameters

  - ##### index: GLuint

  #### Returns void

### drawArrays

- drawArrays(mode: GLenum, first: GLint, count: GLsizei): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15893

  #### Parameters

  - ##### mode: GLenum

  - ##### first: GLint

  - ##### count: GLsizei

  #### Returns void

### drawElements

- drawElements(mode: GLenum, count: GLsizei, type: GLenum, offset: GLintptr): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15894

  #### Parameters

  - ##### mode: GLenum

  - ##### count: GLsizei

  - ##### type: GLenum

  - ##### offset: GLintptr

  #### Returns void

### enable

- enable(cap: GLenum): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15895

  #### Parameters

  - ##### cap: GLenum

  #### Returns void

### enableVertexAttribArray

- enableVertexAttribArray(index: GLuint): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15896

  #### Parameters

  - ##### index: GLuint

  #### Returns void

### finish

- finish(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15897

  #### Returns void

### flush

- flush(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15898

  #### Returns void

### framebufferRenderbuffer

- framebufferRenderbuffer(target: GLenum, attachment: GLenum, renderbuffertarget: GLenum, renderbuffer: WebGLRenderbuffer | null): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15899

  #### Parameters

  - ##### target: GLenum

  - ##### attachment: GLenum

  - ##### renderbuffertarget: GLenum

  - ##### renderbuffer: WebGLRenderbuffer | null

  #### Returns void

### framebufferTexture2D

- framebufferTexture2D(target: GLenum, attachment: GLenum, textarget: GLenum, texture: WebGLTexture | null, level: GLint): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15900

  #### Parameters

  - ##### target: GLenum

  - ##### attachment: GLenum

  - ##### textarget: GLenum

  - ##### texture: WebGLTexture | null

  - ##### level: GLint

  #### Returns void

### frontFace

- frontFace(mode: GLenum): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15901

  #### Parameters

  - ##### mode: GLenum

  #### Returns void

### generateMipmap

- generateMipmap(target: GLenum): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15902

  #### Parameters

  - ##### target: GLenum

  #### Returns void

### getActiveAttrib

- getActiveAttrib(program: WebGLProgram, index: GLuint): WebGLActiveInfo | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15903

  #### Parameters

  - ##### program: WebGLProgram

  - ##### index: GLuint

  #### Returns WebGLActiveInfo | null

### getActiveUniform

- getActiveUniform(program: WebGLProgram, index: GLuint): WebGLActiveInfo | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15904

  #### Parameters

  - ##### program: WebGLProgram

  - ##### index: GLuint

  #### Returns WebGLActiveInfo | null

### getAttachedShaders

- getAttachedShaders(program: WebGLProgram): WebGLShader[] | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15905

  #### Parameters

  - ##### program: WebGLProgram

  #### Returns WebGLShader[] | null

### getAttribLocation

- getAttribLocation(program: WebGLProgram, name: string): GLint

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15906

  #### Parameters

  - ##### program: WebGLProgram

  - ##### name: string

  #### Returns GLint

### getBufferParameter

- getBufferParameter(target: GLenum, pname: GLenum): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15907

  #### Parameters

  - ##### target: GLenum

  - ##### pname: GLenum

  #### Returns any

### getContextAttributes

- getContextAttributes(): WebGLContextAttributes | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15908

  #### Returns WebGLContextAttributes | null

### getError

- getError(): GLenum

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15909

  #### Returns GLenum

### getExtension

- getExtension(extensionName: "EXT_blend_minmax"): EXT_blend_minmax | null
- getExtension(extensionName: "EXT_texture_filter_anisotropic"): EXT_texture_filter_anisotropic | null
- getExtension(extensionName: "EXT_frag_depth"): EXT_frag_depth | null
- getExtension(extensionName: "EXT_shader_texture_lod"): EXT_shader_texture_lod | null
- getExtension(extensionName: "EXT_sRGB"): EXT_sRGB | null
- getExtension(extensionName: "OES_vertex_array_object"): OES_vertex_array_object | null
- getExtension(extensionName: "WEBGL_color_buffer_float"): WEBGL_color_buffer_float | null
- getExtension(extensionName: "WEBGL_compressed_texture_astc"): WEBGL_compressed_texture_astc | null
- getExtension(extensionName: "WEBGL_compressed_texture_s3tc_srgb"): WEBGL_compressed_texture_s3tc_srgb | null
- getExtension(extensionName: "WEBGL_debug_shaders"): WEBGL_debug_shaders | null
- getExtension(extensionName: "WEBGL_draw_buffers"): WEBGL_draw_buffers | null
- getExtension(extensionName: "WEBGL_lose_context"): WEBGL_lose_context | null
- getExtension(extensionName: "WEBGL_depth_texture"): WEBGL_depth_texture | null
- getExtension(extensionName: "WEBGL_debug_renderer_info"): WEBGL_debug_renderer_info | null
- getExtension(extensionName: "WEBGL_compressed_texture_s3tc"): WEBGL_compressed_texture_s3tc | null
- getExtension(extensionName: "OES_texture_half_float_linear"): OES_texture_half_float_linear | null
- getExtension(extensionName: "OES_texture_half_float"): OES_texture_half_float | null
- getExtension(extensionName: "OES_texture_float_linear"): OES_texture_float_linear | null
- getExtension(extensionName: "OES_texture_float"): OES_texture_float | null
- getExtension(extensionName: "OES_standard_derivatives"): OES_standard_derivatives | null
- getExtension(extensionName: "OES_element_index_uint"): OES_element_index_uint | null
- getExtension(extensionName: "ANGLE_instanced_arrays"): ANGLE_instanced_arrays | null
- getExtension(extensionName: string): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15910

  #### Parameters

  - ##### extensionName: "EXT_blend_minmax"

  #### Returns EXT_blend_minmax | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15911

  #### Parameters

  - ##### extensionName: "EXT_texture_filter_anisotropic"

  #### Returns EXT_texture_filter_anisotropic | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15912

  #### Parameters

  - ##### extensionName: "EXT_frag_depth"

  #### Returns EXT_frag_depth | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15913

  #### Parameters

  - ##### extensionName: "EXT_shader_texture_lod"

  #### Returns EXT_shader_texture_lod | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15914

  #### Parameters

  - ##### extensionName: "EXT_sRGB"

  #### Returns EXT_sRGB | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15915

  #### Parameters

  - ##### extensionName: "OES_vertex_array_object"

  #### Returns OES_vertex_array_object | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15916

  #### Parameters

  - ##### extensionName: "WEBGL_color_buffer_float"

  #### Returns WEBGL_color_buffer_float | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15917

  #### Parameters

  - ##### extensionName: "WEBGL_compressed_texture_astc"

  #### Returns WEBGL_compressed_texture_astc | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15918

  #### Parameters

  - ##### extensionName: "WEBGL_compressed_texture_s3tc_srgb"

  #### Returns WEBGL_compressed_texture_s3tc_srgb | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15919

  #### Parameters

  - ##### extensionName: "WEBGL_debug_shaders"

  #### Returns WEBGL_debug_shaders | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15920

  #### Parameters

  - ##### extensionName: "WEBGL_draw_buffers"

  #### Returns WEBGL_draw_buffers | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15921

  #### Parameters

  - ##### extensionName: "WEBGL_lose_context"

  #### Returns WEBGL_lose_context | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15922

  #### Parameters

  - ##### extensionName: "WEBGL_depth_texture"

  #### Returns WEBGL_depth_texture | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15923

  #### Parameters

  - ##### extensionName: "WEBGL_debug_renderer_info"

  #### Returns WEBGL_debug_renderer_info | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15924

  #### Parameters

  - ##### extensionName: "WEBGL_compressed_texture_s3tc"

  #### Returns WEBGL_compressed_texture_s3tc | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15925

  #### Parameters

  - ##### extensionName: "OES_texture_half_float_linear"

  #### Returns OES_texture_half_float_linear | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15926

  #### Parameters

  - ##### extensionName: "OES_texture_half_float"

  #### Returns OES_texture_half_float | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15927

  #### Parameters

  - ##### extensionName: "OES_texture_float_linear"

  #### Returns OES_texture_float_linear | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15928

  #### Parameters

  - ##### extensionName: "OES_texture_float"

  #### Returns OES_texture_float | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15929

  #### Parameters

  - ##### extensionName: "OES_standard_derivatives"

  #### Returns OES_standard_derivatives | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15930

  #### Parameters

  - ##### extensionName: "OES_element_index_uint"

  #### Returns OES_element_index_uint | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15931

  #### Parameters

  - ##### extensionName: "ANGLE_instanced_arrays"

  #### Returns ANGLE_instanced_arrays | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15932

  #### Parameters

  - ##### extensionName: string

  #### Returns any

### getFramebufferAttachmentParameter

- getFramebufferAttachmentParameter(target: GLenum, attachment: GLenum, pname: GLenum): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15933

  #### Parameters

  - ##### target: GLenum

  - ##### attachment: GLenum

  - ##### pname: GLenum

  #### Returns any

### getParameter

- getParameter(pname: GLenum): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15934

  #### Parameters

  - ##### pname: GLenum

  #### Returns any

### getProgramInfoLog

- getProgramInfoLog(program: WebGLProgram): string | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15935

  #### Parameters

  - ##### program: WebGLProgram

  #### Returns string | null

### getProgramParameter

- getProgramParameter(program: WebGLProgram, pname: GLenum): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15936

  #### Parameters

  - ##### program: WebGLProgram

  - ##### pname: GLenum

  #### Returns any

### getRenderbufferParameter

- getRenderbufferParameter(target: GLenum, pname: GLenum): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15937

  #### Parameters

  - ##### target: GLenum

  - ##### pname: GLenum

  #### Returns any

### getShaderInfoLog

- getShaderInfoLog(shader: WebGLShader): string | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15938

  #### Parameters

  - ##### shader: WebGLShader

  #### Returns string | null

### getShaderParameter

- getShaderParameter(shader: WebGLShader, pname: GLenum): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15939

  #### Parameters

  - ##### shader: WebGLShader

  - ##### pname: GLenum

  #### Returns any

### getShaderPrecisionFormat

- getShaderPrecisionFormat(shadertype: GLenum, precisiontype: GLenum): WebGLShaderPrecisionFormat | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15940

  #### Parameters

  - ##### shadertype: GLenum

  - ##### precisiontype: GLenum

  #### Returns WebGLShaderPrecisionFormat | null

### getShaderSource

- getShaderSource(shader: WebGLShader): string | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15941

  #### Parameters

  - ##### shader: WebGLShader

  #### Returns string | null

### getSupportedExtensions

- getSupportedExtensions(): string[] | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15942

  #### Returns string[] | null

### getTexParameter

- getTexParameter(target: GLenum, pname: GLenum): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15943

  #### Parameters

  - ##### target: GLenum

  - ##### pname: GLenum

  #### Returns any

### getUniform

- getUniform(program: WebGLProgram, location: WebGLUniformLocation): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15944

  #### Parameters

  - ##### program: WebGLProgram

  - ##### location: WebGLUniformLocation

  #### Returns any

### getUniformLocation

- getUniformLocation(program: WebGLProgram, name: string): WebGLUniformLocation | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15945

  #### Parameters

  - ##### program: WebGLProgram

  - ##### name: string

  #### Returns WebGLUniformLocation | null

### getVertexAttrib

- getVertexAttrib(index: GLuint, pname: GLenum): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15946

  #### Parameters

  - ##### index: GLuint

  - ##### pname: GLenum

  #### Returns any

### getVertexAttribOffset

- getVertexAttribOffset(index: GLuint, pname: GLenum): GLintptr

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15947

  #### Parameters

  - ##### index: GLuint

  - ##### pname: GLenum

  #### Returns GLintptr

### hint

- hint(target: GLenum, mode: GLenum): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15948

  #### Parameters

  - ##### target: GLenum

  - ##### mode: GLenum

  #### Returns void

### isBuffer

- isBuffer(buffer: WebGLBuffer | null): GLboolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15949

  #### Parameters

  - ##### buffer: WebGLBuffer | null

  #### Returns GLboolean

### isContextLost

- isContextLost(): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15950

  #### Returns boolean

### isEnabled

- isEnabled(cap: GLenum): GLboolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15951

  #### Parameters

  - ##### cap: GLenum

  #### Returns GLboolean

### isFramebuffer

- isFramebuffer(framebuffer: WebGLFramebuffer | null): GLboolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15952

  #### Parameters

  - ##### framebuffer: WebGLFramebuffer | null

  #### Returns GLboolean

### isProgram

- isProgram(program: WebGLProgram | null): GLboolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15953

  #### Parameters

  - ##### program: WebGLProgram | null

  #### Returns GLboolean

### isRenderbuffer

- isRenderbuffer(renderbuffer: WebGLRenderbuffer | null): GLboolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15954

  #### Parameters

  - ##### renderbuffer: WebGLRenderbuffer | null

  #### Returns GLboolean

### isShader

- isShader(shader: WebGLShader | null): GLboolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15955

  #### Parameters

  - ##### shader: WebGLShader | null

  #### Returns GLboolean

### isTexture

- isTexture(texture: WebGLTexture | null): GLboolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15956

  #### Parameters

  - ##### texture: WebGLTexture | null

  #### Returns GLboolean

### lineWidth

- lineWidth(width: GLfloat): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15957

  #### Parameters

  - ##### width: GLfloat

  #### Returns void

### linkProgram

- linkProgram(program: WebGLProgram): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15958

  #### Parameters

  - ##### program: WebGLProgram

  #### Returns void

### pixelStorei

- pixelStorei(pname: GLenum, param: GLint): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15959

  #### Parameters

  - ##### pname: GLenum

  - ##### param: GLint

  #### Returns void

### polygonOffset

- polygonOffset(factor: GLfloat, units: GLfloat): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15960

  #### Parameters

  - ##### factor: GLfloat

  - ##### units: GLfloat

  #### Returns void

### readPixels

- readPixels(x: GLint, y: GLint, width: GLsizei, height: GLsizei, format: GLenum, type: GLenum, pixels: ArrayBufferView | null): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15961

  #### Parameters

  - ##### x: GLint

  - ##### y: GLint

  - ##### width: GLsizei

  - ##### height: GLsizei

  - ##### format: GLenum

  - ##### type: GLenum

  - ##### pixels: ArrayBufferView | null

  #### Returns void

### renderbufferStorage

- renderbufferStorage(target: GLenum, internalformat: GLenum, width: GLsizei, height: GLsizei): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15962

  #### Parameters

  - ##### target: GLenum

  - ##### internalformat: GLenum

  - ##### width: GLsizei

  - ##### height: GLsizei

  #### Returns void

### sampleCoverage

- sampleCoverage(value: GLclampf, invert: GLboolean): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15963

  #### Parameters

  - ##### value: GLclampf

  - ##### invert: GLboolean

  #### Returns void

### scissor

- scissor(x: GLint, y: GLint, width: GLsizei, height: GLsizei): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15964

  #### Parameters

  - ##### x: GLint

  - ##### y: GLint

  - ##### width: GLsizei

  - ##### height: GLsizei

  #### Returns void

### shaderSource

- shaderSource(shader: WebGLShader, source: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15965

  #### Parameters

  - ##### shader: WebGLShader

  - ##### source: string

  #### Returns void

### stencilFunc

- stencilFunc(func: GLenum, ref: GLint, mask: GLuint): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15966

  #### Parameters

  - ##### func: GLenum

  - ##### ref: GLint

  - ##### mask: GLuint

  #### Returns void

### stencilFuncSeparate

- stencilFuncSeparate(face: GLenum, func: GLenum, ref: GLint, mask: GLuint): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15967

  #### Parameters

  - ##### face: GLenum

  - ##### func: GLenum

  - ##### ref: GLint

  - ##### mask: GLuint

  #### Returns void

### stencilMask

- stencilMask(mask: GLuint): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15968

  #### Parameters

  - ##### mask: GLuint

  #### Returns void

### stencilMaskSeparate

- stencilMaskSeparate(face: GLenum, mask: GLuint): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15969

  #### Parameters

  - ##### face: GLenum

  - ##### mask: GLuint

  #### Returns void

### stencilOp

- stencilOp(fail: GLenum, zfail: GLenum, zpass: GLenum): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15970

  #### Parameters

  - ##### fail: GLenum

  - ##### zfail: GLenum

  - ##### zpass: GLenum

  #### Returns void

### stencilOpSeparate

- stencilOpSeparate(face: GLenum, fail: GLenum, zfail: GLenum, zpass: GLenum): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15971

  #### Parameters

  - ##### face: GLenum

  - ##### fail: GLenum

  - ##### zfail: GLenum

  - ##### zpass: GLenum

  #### Returns void

### texImage2D

- texImage2D(target: GLenum, level: GLint, internalformat: GLint, width: GLsizei, height: GLsizei, border: GLint, format: GLenum, type: GLenum, pixels: ArrayBufferView | null): void
- texImage2D(target: GLenum, level: GLint, internalformat: GLint, format: GLenum, type: GLenum, source: TexImageSource): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15972

  #### Parameters

  - ##### target: GLenum

  - ##### level: GLint

  - ##### internalformat: GLint

  - ##### width: GLsizei

  - ##### height: GLsizei

  - ##### border: GLint

  - ##### format: GLenum

  - ##### type: GLenum

  - ##### pixels: ArrayBufferView | null

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15973

  #### Parameters

  - ##### target: GLenum

  - ##### level: GLint

  - ##### internalformat: GLint

  - ##### format: GLenum

  - ##### type: GLenum

  - ##### source: TexImageSource

  #### Returns void

### texParameterf

- texParameterf(target: GLenum, pname: GLenum, param: GLfloat): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15974

  #### Parameters

  - ##### target: GLenum

  - ##### pname: GLenum

  - ##### param: GLfloat

  #### Returns void

### texParameteri

- texParameteri(target: GLenum, pname: GLenum, param: GLint): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15975

  #### Parameters

  - ##### target: GLenum

  - ##### pname: GLenum

  - ##### param: GLint

  #### Returns void

### texSubImage2D

- texSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, width: GLsizei, height: GLsizei, format: GLenum, type: GLenum, pixels: ArrayBufferView | null): void
- texSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, format: GLenum, type: GLenum, source: TexImageSource): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15976

  #### Parameters

  - ##### target: GLenum

  - ##### level: GLint

  - ##### xoffset: GLint

  - ##### yoffset: GLint

  - ##### width: GLsizei

  - ##### height: GLsizei

  - ##### format: GLenum

  - ##### type: GLenum

  - ##### pixels: ArrayBufferView | null

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15977

  #### Parameters

  - ##### target: GLenum

  - ##### level: GLint

  - ##### xoffset: GLint

  - ##### yoffset: GLint

  - ##### format: GLenum

  - ##### type: GLenum

  - ##### source: TexImageSource

  #### Returns void

### uniform1f

- uniform1f(location: WebGLUniformLocation | null, x: GLfloat): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15978

  #### Parameters

  - ##### location: WebGLUniformLocation | null

  - ##### x: GLfloat

  #### Returns void

### uniform1fv

- uniform1fv(location: WebGLUniformLocation | null, v: Float32List): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15979

  #### Parameters

  - ##### location: WebGLUniformLocation | null

  - ##### v: Float32List

  #### Returns void

### uniform1i

- uniform1i(location: WebGLUniformLocation | null, x: GLint): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15980

  #### Parameters

  - ##### location: WebGLUniformLocation | null

  - ##### x: GLint

  #### Returns void

### uniform1iv

- uniform1iv(location: WebGLUniformLocation | null, v: Int32List): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15981

  #### Parameters

  - ##### location: WebGLUniformLocation | null

  - ##### v: Int32List

  #### Returns void

### uniform2f

- uniform2f(location: WebGLUniformLocation | null, x: GLfloat, y: GLfloat): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15982

  #### Parameters

  - ##### location: WebGLUniformLocation | null

  - ##### x: GLfloat

  - ##### y: GLfloat

  #### Returns void

### uniform2fv

- uniform2fv(location: WebGLUniformLocation | null, v: Float32List): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15983

  #### Parameters

  - ##### location: WebGLUniformLocation | null

  - ##### v: Float32List

  #### Returns void

### uniform2i

- uniform2i(location: WebGLUniformLocation | null, x: GLint, y: GLint): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15984

  #### Parameters

  - ##### location: WebGLUniformLocation | null

  - ##### x: GLint

  - ##### y: GLint

  #### Returns void

### uniform2iv

- uniform2iv(location: WebGLUniformLocation | null, v: Int32List): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15985

  #### Parameters

  - ##### location: WebGLUniformLocation | null

  - ##### v: Int32List

  #### Returns void

### uniform3f

- uniform3f(location: WebGLUniformLocation | null, x: GLfloat, y: GLfloat, z: GLfloat): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15986

  #### Parameters

  - ##### location: WebGLUniformLocation | null

  - ##### x: GLfloat

  - ##### y: GLfloat

  - ##### z: GLfloat

  #### Returns void

### uniform3fv

- uniform3fv(location: WebGLUniformLocation | null, v: Float32List): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15987

  #### Parameters

  - ##### location: WebGLUniformLocation | null

  - ##### v: Float32List

  #### Returns void

### uniform3i

- uniform3i(location: WebGLUniformLocation | null, x: GLint, y: GLint, z: GLint): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15988

  #### Parameters

  - ##### location: WebGLUniformLocation | null

  - ##### x: GLint

  - ##### y: GLint

  - ##### z: GLint

  #### Returns void

### uniform3iv

- uniform3iv(location: WebGLUniformLocation | null, v: Int32List): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15989

  #### Parameters

  - ##### location: WebGLUniformLocation | null

  - ##### v: Int32List

  #### Returns void

### uniform4f

- uniform4f(location: WebGLUniformLocation | null, x: GLfloat, y: GLfloat, z: GLfloat, w: GLfloat): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15990

  #### Parameters

  - ##### location: WebGLUniformLocation | null

  - ##### x: GLfloat

  - ##### y: GLfloat

  - ##### z: GLfloat

  - ##### w: GLfloat

  #### Returns void

### uniform4fv

- uniform4fv(location: WebGLUniformLocation | null, v: Float32List): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15991

  #### Parameters

  - ##### location: WebGLUniformLocation | null

  - ##### v: Float32List

  #### Returns void

### uniform4i

- uniform4i(location: WebGLUniformLocation | null, x: GLint, y: GLint, z: GLint, w: GLint): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15992

  #### Parameters

  - ##### location: WebGLUniformLocation | null

  - ##### x: GLint

  - ##### y: GLint

  - ##### z: GLint

  - ##### w: GLint

  #### Returns void

### uniform4iv

- uniform4iv(location: WebGLUniformLocation | null, v: Int32List): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15993

  #### Parameters

  - ##### location: WebGLUniformLocation | null

  - ##### v: Int32List

  #### Returns void

### uniformMatrix2fv

- uniformMatrix2fv(location: WebGLUniformLocation | null, transpose: GLboolean, value: Float32List): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15994

  #### Parameters

  - ##### location: WebGLUniformLocation | null

  - ##### transpose: GLboolean

  - ##### value: Float32List

  #### Returns void

### uniformMatrix3fv

- uniformMatrix3fv(location: WebGLUniformLocation | null, transpose: GLboolean, value: Float32List): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15995

  #### Parameters

  - ##### location: WebGLUniformLocation | null

  - ##### transpose: GLboolean

  - ##### value: Float32List

  #### Returns void

### uniformMatrix4fv

- uniformMatrix4fv(location: WebGLUniformLocation | null, transpose: GLboolean, value: Float32List): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15996

  #### Parameters

  - ##### location: WebGLUniformLocation | null

  - ##### transpose: GLboolean

  - ##### value: Float32List

  #### Returns void

### useProgram

- useProgram(program: WebGLProgram | null): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15997

  #### Parameters

  - ##### program: WebGLProgram | null

  #### Returns void

### validateProgram

- validateProgram(program: WebGLProgram): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15998

  #### Parameters

  - ##### program: WebGLProgram

  #### Returns void

### vertexAttrib1f

- vertexAttrib1f(index: GLuint, x: GLfloat): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15999

  #### Parameters

  - ##### index: GLuint

  - ##### x: GLfloat

  #### Returns void

### vertexAttrib1fv

- vertexAttrib1fv(index: GLuint, values: Float32List): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16000

  #### Parameters

  - ##### index: GLuint

  - ##### values: Float32List

  #### Returns void

### vertexAttrib2f

- vertexAttrib2f(index: GLuint, x: GLfloat, y: GLfloat): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16001

  #### Parameters

  - ##### index: GLuint

  - ##### x: GLfloat

  - ##### y: GLfloat

  #### Returns void

### vertexAttrib2fv

- vertexAttrib2fv(index: GLuint, values: Float32List): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16002

  #### Parameters

  - ##### index: GLuint

  - ##### values: Float32List

  #### Returns void

### vertexAttrib3f

- vertexAttrib3f(index: GLuint, x: GLfloat, y: GLfloat, z: GLfloat): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16003

  #### Parameters

  - ##### index: GLuint

  - ##### x: GLfloat

  - ##### y: GLfloat

  - ##### z: GLfloat

  #### Returns void

### vertexAttrib3fv

- vertexAttrib3fv(index: GLuint, values: Float32List): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16004

  #### Parameters

  - ##### index: GLuint

  - ##### values: Float32List

  #### Returns void

### vertexAttrib4f

- vertexAttrib4f(index: GLuint, x: GLfloat, y: GLfloat, z: GLfloat, w: GLfloat): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16005

  #### Parameters

  - ##### index: GLuint

  - ##### x: GLfloat

  - ##### y: GLfloat

  - ##### z: GLfloat

  - ##### w: GLfloat

  #### Returns void

### vertexAttrib4fv

- vertexAttrib4fv(index: GLuint, values: Float32List): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16006

  #### Parameters

  - ##### index: GLuint

  - ##### values: Float32List

  #### Returns void

### vertexAttribPointer

- vertexAttribPointer(index: GLuint, size: GLint, type: GLenum, normalized: GLboolean, stride: GLsizei, offset: GLintptr): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16007

  #### Parameters

  - ##### index: GLuint

  - ##### size: GLint

  - ##### type: GLenum

  - ##### normalized: GLboolean

  - ##### stride: GLsizei

  - ##### offset: GLintptr

  #### Returns void

### viewport

- viewport(x: GLint, y: GLint, width: GLsizei, height: GLsizei): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16008

  #### Parameters

  - ##### x: GLint

  - ##### y: GLint

  - ##### width: GLsizei

  - ##### height: GLsizei

  #### Returns void

Generated using TypeDoc